from imagetext_py import EmojiOptions, FontDB

from konabot.common.path import FONTS_PATH

FontDB.LoadFromDir(str(FONTS_PATH))

FontDB.SetDefaultEmojiOptions(EmojiOptions(
    parse_shortcodes=False, 
))

HARMONYOS_SANS_SC_BLACK = FontDB.Query("HarmonyOS_Sans_SC_Black")
HARMONYOS_SANS_SC_REGULAR = FontDB.Query("HarmonyOS_Sans_SC_Regular")
LXGWWENKAI_REGULAR = FontDB.Query("LXGWWenKai-Regular")
